<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title>Software Engineering Code of Ethics and Proffesional Practice</title>
	</head>
<body>
	<h1>Software Engineering Code of Ethics and Proffesional Practice</h1>
	<h3>IEEE-CS/ACM Joint Task Force on Softaware Engineering Ethic and Professional Practices</h3>
	<hr>
	<p><strong>Keywords:</strong> code of ethics, professional responsilblity, software engineering</p>
	<h4><strong>PREAMBLE</strong></h4>
	<p>The short version of the code summarizes aspirations at a high level of abstraction.The clauses that are included in the full version give examples and details of how these aspirations change the way act as software engineering professionals. Without the aspirations, the details become legalistic and tedious; without the details, the sapirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.</p>
	<p>Software engineers shall commit themselves to making the analysis, specification, design, development, testing, maintenance of softaware a beneficial nand respected profession. In accordance with their commitment to the health, safety and welfare of the public, software engineers shall adhere to the following eight Principles:</p>
	<h4><strong>PRINCIPLES</strong></strong></h4>
		<ol>
			<li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>
			<li><em>Client and Employer.</em> Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
			<li><em>Product.</em> Software engineers shall act ensure that their products and related modifications meet the highest proffessional standard possible.</li>
			<li><em>Judgement.</em> Software engineers shall maintain integrity and independence in their professional judgement.</li>
			<li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
			<li><em>Profession.</em> Software engineers shall shall advance the integrity and reputation of the profession consistent with the public interest.</li>
			<li><em>Collegues.</em> Software engineers shall be fair to and supportive of their collegues.</li>
			<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their proffesion and shall promote an ethical approach to the practice of the profession.</li>
		</ol>
	

</body>
</html>